package com.deer.wms.produce.manage.service;

import com.deer.wms.intercept.common.data.CurrentUser;
import com.deer.wms.produce.manage.model.*;
import com.deer.wms.project.seed.core.service.Service;

import java.util.List;

/**
 * Created by hy on 2019/07/19.
 */
public interface MtAloneProcessService extends Service<MtAloneProcess, Integer> {
    List<MtAloneProcess> findProcessListByProductBom(ProcessBomParams params);

    List<MtAloneProcessVo> findProcessVoListByProductProcess(ProductProcessParams params);

    ProcessHo queryProcessDetail(MtAloneProcessParams params);

    void saveProcAndProcMat(ProcessAndProcMat processAndProcMat, CurrentUser currentUser);

    void updateProcess(ProcessHo processHo);

    MtAloneProcessVo findProcessById(MtAloneProcessParams processParams);

    //List<Integer> processStepListByProdprocid(ProductProcessParams params);
}
